Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class MethodExecutionTransformer.MethodTransformation

    java.lang.Object
      org.jboss.aop.instrument.MethodExecutionTransformer.MethodTransformation

Enclosing class:
  MethodExecutionTransformer

protected class MethodExecutionTransformer.MethodTransformation
extends Object

Constructor Summary
`MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor, javassist.CtClass clazz, javassist.CtMethod method)`
`MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor, javassist.CtClass clazz, javassist.CtMethod method, String originalName, javassist.CtMethod wmethod, String wrappedName)`
`MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor, javassist.CtClass clazz, javassist.CtMethod method, String originalName, javassist.CtMethod wmethod, String wrappedName, long hash)`

Method Summary
`javassist.CtClass` | `getClazz()`
`String` | `getClazzName()`
`long` | `getHash()`
`Instrumentor` | `getInstrumentor()`
`javassist.CtMethod` | `getMethod()`
`String` | `getOriginalName()`
`javassist.CtMethod` | `getWMethod()`
`String` | `getWrappedName()`
`void` | `setWMethod(javassist.CtMethod wmethod, String wrappedName)`
`void` | `setWMethodBody(String code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExecutionTransformer.MethodTransformation

    public MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor,
                                                           javassist.CtClass clazz,
                                                           javassist.CtMethod method)

### MethodExecutionTransformer.MethodTransformation

    public MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor,
                                                           javassist.CtClass clazz,
                                                           javassist.CtMethod method,
                                                           String originalName,
                                                           javassist.CtMethod wmethod,
                                                           String wrappedName)

### MethodExecutionTransformer.MethodTransformation

    public MethodExecutionTransformer.MethodTransformation(Instrumentor instrumentor,
                                                           javassist.CtClass clazz,
                                                           javassist.CtMethod method,
                                                           String originalName,
                                                           javassist.CtMethod wmethod,
                                                           String wrappedName,
                                                           long hash)

Method Detail

### setWMethod

    public void setWMethod(javassist.CtMethod wmethod,
                           String wrappedName)

### setWMethodBody

    public void setWMethodBody(String code)
                        throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

### getOriginalName

    public String getOriginalName()

### getWrappedName

    public String getWrappedName()

### getClazz

    public javassist.CtClass getClazz()

### getClazzName

    public String getClazzName()

### getMethod

    public javassist.CtMethod getMethod()

### getWMethod

    public javassist.CtMethod getWMethod()

### getHash

    public long getHash()

### getInstrumentor

    public Instrumentor getInstrumentor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.